### Method

# Foundry TestProvider list_tests

#### Declaration [src]

    DexFuture*
    foundry_test_provider_list_tests (
      FoundryTestProvider* self
    )

#### Description [src]

List the available tests as a `GListModel`.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryTest`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.